Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000093KdenliveBuild Systempublic2008-02-20 14:072008-11-12 23:00
Reporterrepli2dev 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.7.0 beta 
Summary0000093: compilation of 1885 failed
DescriptionI am trying compile kdenlive (svn 1885) aganist mlt 1074. But I still got same error (and a log of warnings). I think that the biggest problem is:

/usr/src/kdenlive/kdenlive/./initeffects.h:40: error: ISO C++ forbids declaration of ‘Repository’ with no type
/usr/src/kdenlive/kdenlive/./initeffects.h:40: error: invalid use of ‘::’
/usr/src/kdenlive/kdenlive/./initeffects.h:40: error: expected ‘;’ before ‘*’ token

TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000160)
repli2dev (reporter)
2008-02-20 14:42

Before while I tried builder script and everything is ok, so it looks that something changed in ffmpeg.
(0000162)
repli2dev (reporter)
2008-02-20 18:07
edited on: 2008-02-20 18:07

Ok, now everythink looks ok, so possible problems:

* Two mlt in system (one in /usr and the second /usr/local)

* old FFMPEG or MLT++

So please mark this bug as closed (...) thx

(0000275)
madsdyd (administrator)
2008-09-26 23:07

This issue has been closed. If you believe this is an error, or can reproduce this issue using the KDE4/qt4 version of Kdenlive, please file a new report.

If you have trouble building/obtaining the KDE4/qt4 version of Kdenlive, please consult http://en.wikibooks.org/wiki/Kdenlive/Getting_and_installing [^]

You may especially be interessted in the Kdenlive Builder Wizard, available at http://www.kde-apps.org/content/show.php?content=85826 [^] .

Note, that you do not need to run KDE4 to build and run the Kdenlive KDE4 version.

- Issue History
Date Modified Username Field Change
2008-02-20 14:07 repli2dev New Issue
2008-02-20 14:42 repli2dev Note Added: 0000160
2008-02-20 18:07 repli2dev Note Added: 0000162
2008-02-20 18:07 repli2dev Note Edited: 0000162
2008-09-26 23:07 madsdyd Status new => closed
2008-09-26 23:07 madsdyd Note Added: 0000275
2008-09-26 23:07 madsdyd Resolution open => fixed
2008-09-26 23:07 madsdyd Fixed in Version => Recent git
2008-11-12 23:00 madsdyd Fixed in Version Recent git => 0.7.0 beta


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker